# Glom::LayoutGroup Class Reference

Inherits Glom::LayoutItem.

Inherited by Glom::LayoutItem_Footer, Glom::LayoutItem_GroupBy, Glom::LayoutItem_Header, Glom::LayoutItem_Notebook, Glom::LayoutItem_Portal, Glom::LayoutItem_Summary, and Glom::LayoutItem_VerticalGroup.

Collaboration diagram for Glom::LayoutGroup:
[legend]

List of all members.

## Public Types

typedef std::vector< sharedptr < LayoutItem > > | type_list_items
typedef std::vector< sharedptr < const LayoutItem > > | type_list_const_items

## Public Member Functions

| LayoutGroup ()
| LayoutGroup (const LayoutGroup& src)
LayoutGroup& | operator= (const LayoutGroup& src)
virtual | ~LayoutGroup ()
virtual LayoutItem* | clone () const
| Create a new copied instance.
bool | has_field (const Glib::ustring& field_name) const
| Discover whether the layout group contains the specified field.
bool | has_any_fields () const
| Discover whether the layout group contains any fields.
void | add_item (const sharedptr< LayoutItem >& item)
| Add the item to the end of the list.
void | add_item (const sharedptr< LayoutItem >& item, const sharedptr< const LayoutItem >& position)
| Add the item after the specified existing item.
void | remove_item (const sharedptr< LayoutItem >& item)
| Remove a layout item from the group.
virtual void | remove_field (const Glib::ustring& field_name)
| Remove any instance of the field (from the current table) from the layout.
virtual void | remove_field (const Glib::ustring& table_name, const Glib::ustring& field_name)
| Remove any instance of the related field from the layout.
virtual void | change_field_item_name (const Glib::ustring& table_name, const Glib::ustring& field_name, const Glib::ustring& field_name_new)
virtual void | change_related_field_item_name (const Glib::ustring& table_name, const Glib::ustring& field_name, const Glib::ustring& field_name_new)
virtual void | remove_relationship (const sharedptr< const Relationship >& relationship)
| Remove any use of the relationship from the layout.
void | remove_all_items ()
double | get_border_width () const
void | set_border_width (double border_width)
guint | get_items_count () const
guint | get_columns_count () const
void | set_columns_count (guint columns_count)
type_list_items | get_items ()
type_list_const_items | get_items () const
virtual Glib::ustring | get_part_type_name () const
virtual Glib::ustring | get_report_part_id () const
| Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).

## Public Attributes

type_list_items | m_list_items

## Member Typedef Documentation

typedef std::vector< sharedptr<const LayoutItem> > Glom::LayoutGroup::type_list_const_items

typedef std::vector< sharedptr<LayoutItem> > Glom::LayoutGroup::type_list_items

## Constructor & Destructor Documentation

Glom::LayoutGroup::LayoutGroup | ( |  | ) |

Glom::LayoutGroup::LayoutGroup | ( | const LayoutGroup& | src | ) |

virtual Glom::LayoutGroup::~LayoutGroup | ( |  | ) | `[virtual]`

## Member Function Documentation

void Glom::LayoutGroup::add_item | ( | const sharedptr< LayoutItem >& | item,
|  | const sharedptr< const LayoutItem >& | position |
| ) |  |  |

Add the item after the specified existing item.

Parameters:

  | item | The item to add.
  | position | The item after which the item should be added.

void Glom::LayoutGroup::add_item | ( | const sharedptr< LayoutItem >& | item | ) |

Add the item to the end of the list.

Parameters:

  | item | The item to add.

virtual void Glom::LayoutGroup::change_field_item_name | ( | const Glib::ustring & | table_name,
|  | const Glib::ustring & | field_name,
|  | const Glib::ustring & | field_name_new |
| ) |  |  | `[virtual]`

Reimplemented in Glom::LayoutItem_CalendarPortal, and Glom::LayoutItem_Portal.

virtual void Glom::LayoutGroup::change_related_field_item_name | ( | const Glib::ustring & | table_name,
|  | const Glib::ustring & | field_name,
|  | const Glib::ustring & | field_name_new |
| ) |  |  | `[virtual]`

Reimplemented in Glom::LayoutItem_CalendarPortal, and Glom::LayoutItem_Portal.

virtual LayoutItem* Glom::LayoutGroup::clone | ( |  | ) | const`[virtual]`

Create a new copied instance.

This allows us to deep-copy a list of LayoutItems.

Implements Glom::LayoutItem.

Reimplemented in Glom::LayoutItem_CalendarPortal, Glom::LayoutItem_Notebook, Glom::LayoutItem_Portal, Glom::LayoutItem_Footer, Glom::LayoutItem_GroupBy, Glom::LayoutItem_Header, Glom::LayoutItem_Summary, and Glom::LayoutItem_VerticalGroup.

double Glom::LayoutGroup::get_border_width | ( |  | ) | const

guint Glom::LayoutGroup::get_columns_count | ( |  | ) | const

type_list_const_items Glom::LayoutGroup::get_items | ( |  | ) | const

type_list_items Glom::LayoutGroup::get_items | ( |  | ) |

guint Glom::LayoutGroup::get_items_count | ( |  | ) | const

virtual Glib::ustring Glom::LayoutGroup::get_part_type_name | ( |  | ) | const`[virtual]`

Implements Glom::LayoutItem.

Reimplemented in Glom::LayoutItem_CalendarPortal, Glom::LayoutItem_Notebook, Glom::LayoutItem_Portal, Glom::LayoutItem_Footer, Glom::LayoutItem_GroupBy, Glom::LayoutItem_Header, Glom::LayoutItem_Summary, and Glom::LayoutItem_VerticalGroup.

virtual Glib::ustring Glom::LayoutGroup::get_report_part_id | ( |  | ) | const`[virtual]`

Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).

Reimplemented from Glom::LayoutItem.

Reimplemented in Glom::LayoutItem_Footer, Glom::LayoutItem_GroupBy, Glom::LayoutItem_Header, Glom::LayoutItem_Summary, and Glom::LayoutItem_VerticalGroup.

bool Glom::LayoutGroup::has_any_fields | ( |  | ) | const

Discover whether the layout group contains any fields.

Returns:
  True if the field is in the layout group (or its child groups).

bool Glom::LayoutGroup::has_field | ( | const Glib::ustring & | field_name | ) | const

Discover whether the layout group contains the specified field.

Parameters:

  | field_name | The name of the field to seach for.

Returns:
  True if the field is in the layout group (or its child groups).

LayoutGroup& Glom::LayoutGroup::operator= | ( | const LayoutGroup& | src | ) |

void Glom::LayoutGroup::remove_all_items | ( |  | ) |

virtual void Glom::LayoutGroup::remove_field | ( | const Glib::ustring & | table_name,
|  | const Glib::ustring & | field_name |
| ) |  |  | `[virtual]`

Remove any instance of the related field from the layout.

virtual void Glom::LayoutGroup::remove_field | ( | const Glib::ustring & | field_name | ) | `[virtual]`

Remove any instance of the field (from the current table) from the layout.

void Glom::LayoutGroup::remove_item | ( | const sharedptr< LayoutItem >& | item | ) |

Remove a layout item from the group.

Parameters:

  | item | The item to remove.

virtual void Glom::LayoutGroup::remove_relationship | ( | const sharedptr< const Relationship >& | relationship | ) | `[virtual]`

Remove any use of the relationship from the layout.

void Glom::LayoutGroup::set_border_width | ( | double | border_width | ) |

void Glom::LayoutGroup::set_columns_count | ( | guint | columns_count | ) |

## Member Data Documentation

type_list_items Glom::LayoutGroup::m_list_items

The documentation for this class was generated from the following file:

- libglom/data_structure/layout/layoutgroup.h